mbed TLS v2.23.0

Data Fields
mbedtls_havege_state Struct Reference

HAVEGE state structure. More...

`#include <havege.h>`

## Data Fields
uint32_t | PT1
uint32_t | PT2
uint32_t | offset [2]
uint32_t | pool [MBEDTLS_HAVEGE_COLLECT_SIZE]
uint32_t | WALK [8192]

## Detailed Description

HAVEGE state structure.

Definition at line 45 of file havege.h.

## Field Documentation

## ◆ offset

uint32_t mbedtls_havege_state::offset[2]

Definition at line 47 of file havege.h.

## ◆ pool

uint32_t mbedtls_havege_state::pool[MBEDTLS_HAVEGE_COLLECT_SIZE]

Definition at line 48 of file havege.h.

## ◆ PT1

uint32_t mbedtls_havege_state::PT1

Definition at line 47 of file havege.h.

## ◆ PT2

uint32_t mbedtls_havege_state::PT2

Definition at line 47 of file havege.h.

## ◆ WALK

uint32_t mbedtls_havege_state::WALK[8192]

Definition at line 49 of file havege.h.

The documentation for this struct was generated from the following file:

- havege.h